/**
 * Created by HBuilder.
 * User: tyx
 * Date: 2018-11-26 
 * Time: 13:49:07
 */

/**
 * 初始化移动APP
 */
//----------plusReady
function plusReady() {

}
if(window.plus) {
	plusReady();
} else {
	document.addEventListener('plusready', plusReady, false);
}
//---------配置量
var url = surl; //接口地址(来源:server.js)
//var url='http://192.168.10.174:8089';
var token = token; //单点验证的token值(来源alltoken.js)
var doc_id = localStorage.getItem("doc_id"); //医生id
//---------处理传入的状态值
var state = GetRequest().state; //传入的状态值
//state= "jianjie";
var appTitle='';							//页面标题
var appPlace='';							//输入提示语
if(state == "jianjie"){						//个人简介
	appTitle="个人简介";
	appPlace="请简要介绍你,让患者更了解你";
}else if(state == "fangxiang"){				//擅长领域
	appTitle="擅长方向";
	appPlace="请输入擅长方向内容";
}else if(state == "yuanyin"){				//审核原因
	appTitle="查看原因";
	appPlace="暂无信息";
}
//--------标题处理

/**
 * 初始化VUE
 */
//---------实例化vue
var app = new Vue({
	el: "#app",
	data: {
		state:state,		//状态值(jianjie 个人简介;fangxiang 擅长方向;yuanyin 原因)		
		title: appTitle,	//标题
		place:appPlace,		//提示语
		textarea:'',		//输入框中的文字
		list:''				//包含个人信息的list列表
	},
	created: function() {
		fundDoc(); 				//查询用户个人信息
	},
	methods: {
		updateCard: function() {							//----提交用户信息
			if(this.textarea.length>100){
				mui.toast("建议输入的信息不超过100字");
				return;
			}
			var jsonStr={};
			jsonStr={
				doc_id:doc_id,								//用户id
				doc_url:this.list.doc_url,					//用户头像
				domain:this.list.domain,					//擅长领域
				hospital_number:this.list.hospital_number,	//第一医院,第二医院
				doc_information:this.list.doc_information,	//个人简介
				practice_year:this.list.practice_year		//执行年限
			};
			if(app.state == "jianjie"){
				jsonStr.doc_information=this.textarea;		//更新-个人简介
			}else if(app.state == "fangxiang"){
				jsonStr.domain=this.textarea;				//更新-擅长领域
			}else{
				mui.toast("未知提交信息方向");
				return;
			}
			sendUpdateCard(jsonStr);                        //修改用户部分信息接口
		}
	},
})
/**
 * 部分函数封装
 */
//-------------秒转化成事件格式('''  '' ')
function formatSeconds2(a) {

	var hh = parseInt(a / 3600);
	if(hh < 10) hh = hh;
	var mm = parseInt((a - hh * 3600) / 60);
	if(mm < 10) mm = mm;
	var ss = parseInt((a - hh * 3600) % 60);
	if(ss < 10) ss = ss;
	var length = '';
	if(hh == 0) {
		if(mm == 0) {
			length = ss + "'";
		} else {
			length = mm + "''" + ss + "'";
		}
	} else {
		length = hh + "'''" + mm + "''" + ss + "'";
	}

	if(a > 0) {
		return length;
	} else {
		return "--";
	}
}

//-----------------保存时的加载动画
function loadingUp() {
	$('body').loading({
		loadingWidth: 140,
		title: '上传中...',
		name: 'test',
		discription: '',
		direction: 'column',
		type: 'origin',
		// originBg:'#71EA71',
		originDivWidth: 20,
		originDivHeight: 20,
		originWidth: 4,
		originHeight: 4,
		smallLoading: false,
		loadingMaskBg: 'rgba(0,0,0,0.2)'
	});
	$(".cpt-loading-mask.column .div-loading .loading-title").css("font-size", "16px");
}
/**
 * 封装ajax
 */
//-----------修改用户部分信息
function sendUpdateCard(data) {
	$.ajax(
		url + '/doctorCard/updateCard', {
			data:data,
			dataType: 'json', //服务器返回json格式数据
			type: 'POST', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded',
				'token': token
			},
			success: function(data) {
				if(data.success == 0){
					mui.toast("信息修改成功");
					mui.fire(plus.webview.currentWebview().opener(),'updateCard',{});
					mui.back();
				}
			},
			error: function(xhr, type, errorThrown) {
				mui.toast("接口异常");
			},
		});
}
//-----------查询个人信息
function fundDoc() {
	$.ajax(
		url + '/doctorCard/selectCard', {
			data: {
				doc_id: doc_id,
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'POST', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded',
				'token': token
			},
			success: function(data) {
				if(data.success == 0){
					app.list=data.data;
					if(state == 'jianjie'){			
						app.textarea=data.data.doc_information;	//个人简介	
					}else if(state == 'fangxiang'){
						app.textarea=data.data.domain;			//擅长领域
					}else if(state == 'yuanyin'){
						app.textarea=data.data.failure;			//审核原因
					}
				}else{
					mui.toast("个人信息获取繁忙");
				}
			},
			error: function(xhr, type, errorThrown) {
				mui.toast("接口异常");
			},
		}
	);
}