/**
 * Created by HBuilder.
 * User: tyx
 * Date: 2018-11-26 
 * Time: 13:49:07
 */

/**
 * 初始化移动APP
 */
//----------plusReady
function plusReady() {

}
if(window.plus) {
	plusReady();
} else {
	document.addEventListener('plusready', plusReady, false);
}
//---------配置量
var url = surl; //接口地址(来源:server.js)
//var url='http://192.168.10.174:8089';
var token = token; //单点验证的token值(来源alltoken.js)
var doc_id = localStorage.getItem("doc_id"); //医生id
//--------第一医院和第二医院处理
//---------处理传入的状态值
var state = 0; //传入的状态值
if(GetRequest().state){
	state = 1;
}

/**
 * 初始化VUE
 */
//---------实例化vue
var app = new Vue({
	el: "#app",
	data: {
		list:'',				//返回的集合值
		state:state,			//0普通医院信息 1第二医院信息
		title: '职业信息',		//标题
		hospital_id:'',			//医院id
		hospital:'',			//医院名称
		department_id:'',		//科室id
		department:'',			//科室名称
		title_id:'',			//职称id
		titlename:'',			//职称名称
		hospitals:'',			//第二医院名称
		hospitals_id:'',		//第二医院id
		hospital_number:'',		//多医院的集合
	},
	created: function() {
		// this.$options.methods.clickgo();
		fundDoc();						//查询用户个人信息
	},
	methods: {
		upDateOcc:function(){
			if(this.hospital_id.length<=0){
				mui.toast("第一医院信息不全,请补全信息");
				return;
			}
			if(this.hospital_id == this.hospitals_id){
				mui.toast("您的第一医院与第二医院相同,建议您重新选择当前的医院信息");
				return;
			}
			var dataUrl = '/doctorCard/insert';
			var upData={
				hospital_id:this.hospital_id,
				department_id:this.department_id,
				title_id:this.title_id,
				doc_id:doc_id
			};
			if(state == 1){
				if(this.hospitals_id.length<=0){
					mui.toast("当前医院信息不全,请补全信息后重试");
					return;
				}				
				dataUrl = '/doctorCard/updateCard';
				upData={
					doc_id:doc_id,								//用户id
					doc_url:this.list.doc_url,					//用户头像
					domain:this.list.domain,					//擅长领域
					hospital_number:this.hospital_id+","+this.hospitals_id,	//第一医院,第二医院
					doc_information:this.list.doc_information,	//个人简介
					practice_year:this.list.practice_year		//执行年限
				};
			}
			sendUpDateOcc(dataUrl,upData);						//调用修改医院信息接口
		}
	},
})
/**
 * 事件监听处理
 */
//----------------医院信息
window.addEventListener("test1", function(e) {
	if(state == 0){
		app.hospital_id=e.detail.note1;
    	app.hospital=e.detail.note;
	}else{
		app.hospitals_id=e.detail.note1;
    	app.hospitals=e.detail.note;		
	}

});
//----------------科室信息
window.addEventListener("test2", function(e) {
	app.department_id=e.detail.note1;
    app.department=e.detail.note;
});
//----------------职称信息
window.addEventListener("changeTitle", function(e) {
	app.title_id=e.detail.title_id;
    app.titlename=e.detail.title;
});
//-----------------保存时的加载动画
function loadingUp() {
	$('body').loading({
		loadingWidth: 140,
		title: '上传中...',
		name: 'test',
		discription: '',
		direction: 'column',
		type: 'origin',
		// originBg:'#71EA71',
		originDivWidth: 20,
		originDivHeight: 20,
		originWidth: 4,
		originHeight: 4,
		smallLoading: false,
		loadingMaskBg: 'rgba(0,0,0,0.2)'
	});
	$(".cpt-loading-mask.column .div-loading .loading-title").css("font-size", "16px");
}
/**
 * 封装ajax
 */
//-----------修改保存当前的医院信息
function sendUpDateOcc(dataUrl,data) {
	$.ajax(
		url + dataUrl, {
			data: data,
			dataType: 'json', //服务器返回json格式数据
			type: 'POST', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded',
				'token': token
			},
			success: function(data) {
				mui.toast("信息修改成功");
				mui.fire(plus.webview.currentWebview().opener(),'updateCard',{});
				mui.back();
			},
			error: function(xhr, type, errorThrown) {
				mui.toast("接口异常");
			},
		}
	);
}
//-----------查询个人信息
function fundDoc() {
	$.ajax(
		url + '/doctorCard/selectCard', {
			data: {
				doc_id: doc_id,
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'POST', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded',
				'token': token
			},
			success: function(data) {
				if(data.success == 0){
					app.list=data.data;
					app.hospital_number=data.data.hospital_number;	//存储多个医院的id
					app.hospital_id=data.data.hospital_id;			//医院id
					app.hospital=data.data.hospital_name;			//医院名称
					app.department_id=data.data.department_id;		//科室id
					app.department=data.data.department_name;		//科室名称
					app.title_id=data.data.title_id;				//职称id
					app.titlename=data.data.title;					//职称名称
					
					var hospital_array=data.data.hospital_number.split(',');
					if(hospital_array.length>1){
						app.hospitals_id=hospital_array[1];			//第二医院的id
						app.hospitals=data.data.hospital_names;			//第二医院的名称
					}
				}else{
					mui.toast("个人信息获取繁忙");
				}
			},
			error: function(xhr, type, errorThrown) {
				mui.toast("接口异常");
			},
		}
	);
}