/**
 * Created by HBuilder.
 * User: tyx
 * Date: 2018-11-26 
 * Time: 13:49:07
 */

/**
 * 初始化移动APP
 */
//----------plusReady
function plusReady() {
	
}
if(window.plus) {
	plusReady();
} else {
	document.addEventListener('plusready', plusReady, false);
}
//---------配置量
var url = surl; //接口地址(来源:server.js)
//var url='http://192.168.10.174:8089';
var token = token; //单点验证的token值(来源alltoken.js)
var doc_id = localStorage.getItem("doc_id"); //医生id
//---------处理传入的状态值
var state = GetRequest().state; //传入的状态值
//state= "xueshu";
var appTitle='';							//页面标题
var appPlace='';							//输入提示语
if(state == "xueshu"){						//学术经历
	appTitle="学术经历";
	appPlace="请输入学术经历";
}else if(state == "zhuanye"){				//专业资历
	appTitle="专业资历";
	appPlace="请输入专业资历";
}else if(state == "huojiang"){				//获奖介绍
	appTitle="获奖介绍";
	appPlace="请输入获奖介绍";
}else if(state == "yixue"){					//医学教育
	appTitle="医学教育背景";
	appPlace="请输入医学教育背景";
}else if(state == "qita"){					//其他介绍
	appTitle="其他介绍";
	appPlace="输入更多内容";
}
/**
 * 初始化VUE
 */
//---------实例化vue
var app = new Vue({
	el: "#app",
	data: {
		title: appTitle,
		placeholder: appPlace,
		lists: [
			{
				text: '',
				piclist: []
			},
		],
		list:''
	},
	created: function() {
		fundDoc();
		// this.$options.methods.clickgo();

	},
	methods: {
		clickgo: function() {
			//			alert("单击事件");
			console.log(this.message);
		},
		delThis:function(k){
			var that=this;
			if(that.lists.length<=1){
				mui.toast("当前只有一条信息,无法删除");
				return;
			}
			mui.confirm('是否删除当前内容', '', ['取消', '确定'], function(e) {
				if(e.index == 1) {
					that.lists.splice(k,1);
				}
			})
		},
		addPic: function(k, e) { //多图片上传
			var file = e.target.files;
			if(file.length > 6 - this.lists[k].piclist.length) {
				mui.toast("图片总共不能超过6张,请重新选择");
				return;
			}
			console.log(file);
			var formData = new FormData();
			var compress=new Compress();									//--实例化压缩类
			compress.webMorePic(0,file,formData,function(formData){         //--调用递归函数  
				loadingUp(); 									   			//启用加载动画
				uploadPic(k,formData);
				e.target.value = ''; 							   			//重置input中的图片,可重复选择
			},{'noSize':10000},function(){
				mui.toast("图片过大,建议上传10M以内的图")
				e.target.value = '';
			});
		},
		delPic: function(k, kk) { //删除图片
			this.lists[k].piclist.splice(kk, 1);
		},
		addList: function() { //新增一栏
			if(!this.lists[this.lists.length - 1].text && this.lists[this.lists.length - 1].piclist.length <= 0) {
				mui.toast("请补全最后一条");
				return;
			}
			this.lists.push({
				text: '',
				piclist: []
			});
		},
		sendMessage: function() { //--发送
			//--默认传值处理
			var jsonStr={};									//data传入值
			jsonStr={
				doc_id:doc_id,								//用户id
				academic_experience:this.list.academic_experience,					//学术经历
				award_presentation:this.list.award_presentation,					//获奖介绍
				educational_background:this.list.educational_background,			//教育背景
				other_introduce:this.list.other_introduce,							//其他介绍
				professional_qualification:this.list.professional_qualification		//专业资历
			};
			//--当前编辑的信息处理
			var listsGo='';		//传给接口的字符串
			var listsArr=[];		
			for(index in this.lists){										//过滤
				if(this.lists[index].text || this.lists[index].piclist.length>0){
					listsArr.push(this.lists[index]);
				}
			}
			if(listsArr.length>0){						//将json转化为字符串
				listsGo=JSON.stringify(listsArr);
			}
			//--将编辑好的信息存到传入值中
			if(state == "xueshu"){						//学术经历
				jsonStr.academic_experience=listsGo;
			}else if(state == "zhuanye"){				//专业资历
				jsonStr.professional_qualification=listsGo;
			}else if(state == "huojiang"){				//获奖介绍
				jsonStr.award_presentation=listsGo;
			}else if(state == "yixue"){					//医学教育
				jsonStr.educational_background=listsGo;
			}else if(state == "qita"){					//其他介绍
				jsonStr.other_introduce=listsGo;
			}
			
			sendUpdatePic(jsonStr);     //调用修改图文接口
		}
	},
})
/**
 * 部分函数封装
 */
//-------------秒转化成事件格式('''  '' ')
function formatSeconds2(a) {

	var hh = parseInt(a / 3600);
	if(hh < 10) hh = hh;
	var mm = parseInt((a - hh * 3600) / 60);
	if(mm < 10) mm = mm;
	var ss = parseInt((a - hh * 3600) % 60);
	if(ss < 10) ss = ss;
	var length = '';
	if(hh == 0) {
		if(mm == 0) {
			length = ss + "'";
		} else {
			length = mm + "''" + ss + "'";
		}
	} else {
		length = hh + "'''" + mm + "''" + ss + "'";
	}

	if(a > 0) {
		return length;
	} else {
		return "--";
	}
}

//-----------------保存时的加载动画
function loadingUp() {
	$('body').loading({
		loadingWidth: 140,
		title: '上传中...',
		name: 'test',
		discription: '',
		direction: 'column',
		type: 'origin',
		// originBg:'#71EA71',
		originDivWidth: 20,
		originDivHeight: 20,
		originWidth: 4,
		originHeight: 4,
		smallLoading: false,
		loadingMaskBg: 'rgba(0,0,0,0.2)'
	});
	$(".cpt-loading-mask.column .div-loading .loading-title").css("font-size", "16px");
}
/**
 * 封装ajax
 */
//-----------修改用户图文介绍
function sendUpdatePic(data) {
	$.ajax(
		url + '/doctorCard/updateExamine', {
			data:data,
			dataType: 'json', //服务器返回json格式数据
			type: 'POST', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded',
				'token': token
			},
			success: function(data) {
				if(data.success == 0){
					mui.toast("信息修改成功");
					mui.fire(plus.webview.currentWebview().opener(),'updateCard',{});
					mui.back();
				}
			},
			error: function(xhr, type, errorThrown) {
				mui.toast("接口异常");
			},
		});
}
//-----------上传图片
function uploadPic(k, formData) {
	$.ajax(
		url+'/Aliupload/Aliuploads', {
			data: formData,
			dataType: 'json', //服务器返回json格式数据
			type: 'POST', //HTTP请求类型
			processData: false,
			contentType: false,
			success: function(data) {
				removeLoading('test');//关闭动画
				app.lists[k].piclist = app.lists[k].piclist.concat(data.data);
			},
			error: function(xhr, type, errorThrown) {
				mui.toast("接口异常");
			},
		});
}
//-----------查询个人信息
function fundDoc() {
	$.ajax(
		url + '/doctorCard/selectCard', {
			data: {
				doc_id: doc_id,
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'POST', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded',
				'token': token
			},
			success: function(data) {
				if(data.success == 0){
					app.list=data.data;
					if(state == "xueshu"){						//学术经历
						if(data.data.academic_experience){
							app.lists=JSON.parse(data.data.academic_experience);
						}
					}else if(state == "zhuanye"){				//专业资历
						if(data.data.professional_qualification){
							app.lists=JSON.parse(data.data.professional_qualification);
						}
					}else if(state == "huojiang"){				//获奖介绍
						if(data.data.award_presentation){
							app.lists=JSON.parse(data.data.award_presentation);
						}
					}else if(state == "yixue"){					//医学教育
						if(data.data.educational_background){
							app.lists=JSON.parse(data.data.educational_background);
						}
					}else if(state == "qita"){					//其他介绍
						if(data.data.other_introduce){
							app.lists=JSON.parse(data.data.other_introduce);
						}
					}
				}else{
					mui.toast("个人信息获取繁忙");
				}
			},
			error: function(xhr, type, errorThrown) {
				mui.toast("接口异常");
			},
		}
	);
}