/**
 * Created by HBuilder.
 * User: tyx
 * Date: 2019-1-2 15:57:57
 * Time: 15:57:57
 */

/**
 * 初始化移动APP
 */
//----------plusReady
function plusReady() {

	//	localStorage.setItem("doc_id",9);
}
if(window.plus) {
	plusReady();
} else {
	document.addEventListener('plusready', plusReady, false);
}
//---------配置量
var url = surl; //接口地址(来源:server.js)
//var url='http://api.早健康.net/myg';
var token = token; //单点验证的token值(来源alltoken.js)
//alert(token);
var doc_id = localStorage.getItem("doc_id");
//医生id
var pageNum = 1;
var lastPage = false; //是否是最后一页
/**
 * 初始化VUE
 */
//---------实例化vue
var app = new Vue({
	el: "#app",
	data: {
		tab: 0, //选项卡状态(0聊天文件 1文章 2图片视频)
		searchText: '', //搜索框中的内容
		list: [],
		longTapKey: '', //长按时当前条数的下标
		longTapVal: '' //长按时当前条数的id
	},
	created: function() {

	},
	methods: {
		goSearch: function() {
			if(this.searchText == '') {
				this.list = [];
//				mui.toast("请输入想要搜索的内容");
				return;
			}
			this.list = [];
			pageNum = 1;
			lastPage = false; //是否是最后一页
			selectList(this.searchText, true);
		},
		clearSearch: function() { //--清空搜索消息
			this.searchText = '';
		},
		goMain: function(id, state) { //--跳转到详情页
			if(state == 1) { //聊天记录
				goUrl("chat_collection_chatlist.html?id=" + id + "&state=" + state, "chat_collection_chatlist.html", "1");
			} else if(state == 3) { //图片视频
				goUrl("chat_collection_img.html?id=" + id + "&state=" + state, "chat_collection_img.html", "1");
			}
		},
		longTap: function(e, id, k) { //--长按事件

			var that = $(e.target).parents('li');
			this.el = that;
			mui('#changePopover').popover('toggle');
			var setTop = parseInt($(that).offset().top) - parseInt(document.body.scrollTop);
			$("#changePopover").css("left", $(window).width() * 0.5 - 50);
			if($(that).offset().top > 89) {
				$("#changePopover").css("top", setTop - 50);
				$(".mui-popover-arrow").attr("class", "mui-popover-arrow mui-bottom");
			} else {
				$("#changePopover").css("top", setTop + $(that).height() + 30);
				$(".mui-popover-arrow").attr("class", "mui-popover-arrow");
			}
			this.longTapKey = k; //长按时当前条数的下标
			this.longTapVal = id; //长按时当前条数的id
		},
		strTime: function(timestamps) {
			return timestamp('Y-m-d', timestamps);
		},
		deleteList: function(e, id, k) { //--删除某条信息
			if(id == 0) {
				e = 0;
				id = this.longTapVal;
				k = this.longTapKey;
			}
			mui.confirm('是否删除', '', ['取消', '确定'], function(eo) {
				if(eo.index == 1) {
					delList(e, id, k)
				}
			})

		}

	},
})

/**
 * 部分操作归类
 */
//------长按某条信息
//mui(".mui-content-main").on('longtap','.mui-content-main-chat-list',function(){
//	mui('#changePopover').popover('toggle');
//	var setTop=parseInt($(this).offset().top)-parseInt(document.body.scrollTop);
//	$("#changePopover").css("left",$(window).width()*0.5-75);
//	if($(this).offset().top>89){
//		$("#changePopover").css("top",setTop-50);
//		$(".mui-popover-arrow").attr("class","mui-popover-arrow mui-bottom");
//	}else{
//		$("#changePopover").css("top",setTop+$(this).height()+30);
//		$(".mui-popover-arrow").attr("class","mui-popover-arrow");
//	}
//})
//-------上拉加载
function scrollDow(scrollMain, scrollList, fun) {
	$(scrollMain).scroll(function() {
		var scrollTop = $(this).scrollTop();
		var scrollHeight = $(scrollList).height();
		var windowHeight = $(this).height();
		if(scrollTop + windowHeight >= scrollHeight) {
			fun();
			return;
		}
	});
}

/**
 * 封装ajax
 */
//-----------删除收藏
function delList(e, id, k) {
	$.ajax(
		url + '/imXu/deleteCollect', {
			data: {
				im_collect_id: id
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'POST', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded',
				'token': token
			},
			success: function(data) {
				if(data.success == 403) {
					allToken()
				}
				if(data.success == 0) {
					mui.toast("删除成功");
					if(e == 0) {
						mui('#changePopover').popover('hide');
						app.list.splice(k, 1);
					} else {
						mui('#changePopover').popover('hide');
						var that = $(e.target).parents('li');
						$(that).remove();
					}

				} else {
					mui.toast("当前无法进行删除操作,请稍后重试");
				}
			},
			error: function(xhr, type, errorThrown) {
				mui.toast("接口异常");
			},
		});
}
//-----------搜索列表
function selectList(im_collect_text, async) {
	if(lastPage) {
		return;
	}
	$.ajax(
		url + '/imXu/selectCollect', {
			data: {
				user_id: doc_id,
				user_type: 2, //1患者 2医生
				im_collect_details_text: im_collect_text,
				pageSize: 10,
				pageNum: pageNum
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'POST', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			async: async,
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded',
				'token': token
			},
			success: function(data) {
				if(data.success == 403) {
					allToken()
				}
				if(async) {
					app.list = data.data;
				} else {
					app.list = app.list.concat(data.data);
				}
				if(data.data.length == 0) {
					mui.toast("没有搜索到任何内容，请重新输入");
				}
				pageNum++; //自身页数+1
				if(data.LastPage || data.Pages == 0) {
					lastPage = true;
					return
				};
				scrollDow(".mui-content-main", ".mui-content-main-chat", function() {
					if(!lastPage) {
						mui.toast("加载中...");
					}
					selectList(im_collect_text, false);
				})
			},
			error: function(xhr, type, errorThrown) {
				mui.toast("接口异常");
			},
		});
}