/**
 * 通用弹窗插件 基于MUI JQ
 * 作者：李猛
 */
//==========================html中放入==========================
//<div class="msg-box">
//	<!--这里写你的内容-->
//	<div class="msg-box-bottom">
//		<div class="msg-btn msg-left-btn">取消</div>
//		<div class="msg-btn msg-right-btn">确定</div>
//	</div>
//</div>
//==========================css中放入==========================
//.msg-box {
//	display: none;
//	width: 222px;
//	height: 137px;
//	background: #FFF;
//	border-radius: 10px;
//}
//.msg-box-bottom{
//	display: flex;
//	justify-content: space-between;
//	position: absolute;
//	left: 0;
//	bottom: 0;
//	width: 100%;
//	height: 44px;
//	border-top: 1px solid #F2F2F2;
//}
//.msg-btn{
//	display: flex;
//	justify-content: center;
//	align-items: center;
//	width: 50%;
//	height: 100%;
//	font-size: 14px;
//	/*border:1px solid red;*/
//}
//.msg-btn:active{
//	background: #ccc;
//}
//.msg-left-btn{
//	color: #333;
//}
//.msg-right-btn{
//	color: #03C193;
//}

var mu = {
	createMask: function(callback) {
		var element = document.createElement('div');
		element.classList.add("mui-backdrop");
		element.addEventListener("touchmove", function() {});
		element.addEventListener('tap', function() {
			mask.close();
		});
		var mask = [element];
		mask._show = false;
		mask.show = function() {
			mask._show = true;
			element.setAttribute('style', 'opacity:1');
			document.body.appendChild(element);
			return mask;
		};
		mask._remove = function() {
			if(mask._show) {
				mask._show = false;
				element.setAttribute('style', 'opacity:0');
				$.later(function() {
					var body = document.body;
					element.parentNode === body && body.removeChild(element);
				}, 350);
			}
			return mask;
		};
		mask.close = function() {
			if(callback) {
				if(callback() !== false) {
					//					mask._remove();
				}
			} else {
				mask._remove();
			}
		};
		return mask;
	}
}

//创建遮罩
var maskk = mu.createMask(function() {});

/**
 * 打开弹窗
 */
function openMsgBox() {
	//弹窗top计算
	var windH = $(window).height() / 2;
	var msgboxH = $(".msg-box").height() / 2;
	var msgboxTop = windH - msgboxH;
	//弹窗left计算
	var windW = $(window).width() / 2;
	var msgboxW = $(".msg-box").width() / 2;
	var msgboxLeft = windW - msgboxW;

	$(".msg-box").css({
		"position": "fixed",
		"top": msgboxTop + "px",
		"left": msgboxLeft + "px",
		"z-index": "999"
	});
	$(".msg-box").show();
	maskk.show(); //显示遮罩
	$('body').css("overflow", "hidden"); //避免遮罩滑动
	document.addEventListener('touchmove', handler, { passive: false });
}

/**
 * 关闭弹窗
 */
function closeMsgBox() {
	$(".msg-box").hide();
	$(".mui-backdrop").hide(); //关闭遮罩
	$('body').css("overflow", "auto"); //避免遮罩滑动
	document.removeEventListener('touchmove', handler, { passive: false });
}

/**
 * 阻止默认
 */
function handler() {
  event.preventDefault();
} 