/**
 * Created by HBuilder.
 * User: tyx
 * Date: 2019-1-25 11:07:13
 * Time: 11:07:13
 */
/**
 * 初始化移动APP
 */
//----------plusReady
function plusReady() {
	plus.webview.currentWebview().setStyle({
//		softinputMode: "adjustResize"
	});
	
}
if(window.plus) {
	plusReady();
}else{
	document.addEventListener('plusready', plusReady, false);
}
//---------配置量
var url = surl; //接口地址(来源:server.js)
//var url='http://192.168.10.174:8089';
var token = token; //单点验证的token值(来源alltoken.js)
var doc_id = localStorage.getItem("doc_id"); //医生id
//--------标题处理

/**
 * 初始化VUE
 */
//---------实例化vue
var app = new Vue({
	el: "#app",
	data: {
		title: '首页搜索',			//标题
		searchName:'',				//搜索内容
		list:'',
		success:'',
		picUrl:"http://ipa.早健康.net"
	},
	created: function() {
//		selectList('')
	},
	methods: {
		goSearch:function(){
			if(this.searchName == ''){
//				alert(this.searchName);
				mui.toast("搜索栏不能为空");
				this.list='';
				return;
			}
			selectList(this.searchName);
		},
		ThisHttpPic:function(obj){			//处理头像地址
			return	httpPic(this.picUrl,obj);
		},
		addFriend:function(id){
			mui.confirm('是否确认添加对方为好友', '', ['取消', '确定'], function(e) {
				if (e.index == 1) {
					sendUser(id);
				}
			})	
		}
	},
})


/**
 * 处理安卓苹果设备软键盘问题
 */
var nativeWebview, imm, InputMethodManager;
var initNativeObjects = function() {
	if (mui.os.android) {
		var main = plus.android.runtimeMainActivity();
		var Context = plus.android.importClass("android.content.Context");
		InputMethodManager = plus.android.importClass("android.view.inputmethod.InputMethodManager");
		imm = main.getSystemService(Context.INPUT_METHOD_SERVICE);
	} else {
		nativeWebview = plus.webview.currentWebview().nativeInstanceObject();
	}
};
var showSoftInput = function() {
	if (mui.os.android) {
		imm.toggleSoftInput(0, InputMethodManager.SHOW_FORCED);
	} else {
		nativeWebview.plusCallMethod({
			"setKeyboardDisplayRequiresUserAction": false
		});
	}
	setTimeout(function() {
		var inputElem = document.querySelector('input');
		inputElem.focus();
		inputElem.parentNode.classList.add('mui-active'); //第一个是search，加上激活样式
	}, 200);
};
mui.plusReady(function() {
	initNativeObjects();
	showSoftInput();
});

/**
 * 封装ajax
 */
//-----------添加好友
function sendUser(id) {
	$.ajax(
		url + '/imChatY/insertUserFriend', {
			data: {
				z_doc_id:doc_id,
				b_doc_id:id
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'POST', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded',
				'token': token
			},
			success: function(data) {
				if(data.success == 0){
					mui.toast("添加成功");
					mui.back();
				}else{
					mui.toast("当前用户暂时无法添加,请稍后重试");
				}
				
				
			},
			error: function(xhr, type, errorThrown) {
				mui.toast("接口异常");
			},
		}
	);
}



//-----------搜索好友
function selectList(textName) {
	$.ajax(
		url + '/imChatY/selectDocUsers', {
			data: {
				doc_phone:textName,
				doc_id:doc_id
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'POST', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded',
				'token': token
			},
			success: function(data) {
				app.success=data.success;
				if(data.success != 0){
					app.list='';
					mui.toast(data.msg);
					if(data.success == 2){
						app.list=data.data;
					}
					return
				}
				if(data.data.doc_id == doc_id){
					mui.toast("不能添加自己为好友");
					return;
				}
				app.list=data.data;
				
				
			},
			error: function(xhr, type, errorThrown) {
				mui.toast("接口异常");
			},
		}
	);
}