/**
 * Created by HBuilder.
 * User: tyx
 * Date: 2019-1-26 09:56:01
 * Time: 09:56:01
 */

/**
 * 初始化移动APP
 */
//----------plusReady
function plusReady() {
	plus.webview.currentWebview().setStyle({
		softinputMode: "adjustResize"
	});
}
if(window.plus) {
	plusReady();
} else {
	document.addEventListener('plusready', plusReady, false);
}
//---------配置量
var url = surl; //接口地址(来源:server.js)
//var url='http://192.168.10.174:8089';
var token = token; //单点验证的token值(来源alltoken.js)
var doc_id = localStorage.getItem("doc_id"); //医生id
//---------处理传入的状态值
var state = GetRequest().state; //传入的状态值
var appUrlId = GetRequest().id; //传入的id值
var is_default = GetRequest().is_default; //新建小组传入的状态值(0名称改了;1默认)
var appUrlName = getUrlParam('name'); //新建小组的名称
var appTitle = ''; //页面标题
var appButton = ''; //按钮提示语
var appUrlList = ""; //调用查询的接口
var appUrlAdd = ""; //调用新增接口
var appUrlDel = ""; //调用删除接口
if(state == "newZu") { //新建小组成员
	appTitle = "邀请成员";
	appButton = "邀请";
	appUrlList = "/conversationMa/insertCollectiveDoctorList";
	appUrlAdd = "/imChatY/insertUserCollective";
} else if(state == "zuAdd") { //新增小组成员
	appTitle = "添加成员";
	appButton = "添加";
	appUrlList = "/conversationMa/insertCollectiveDoctorList";
	appUrlAdd = "/imChatY/insertUserCollective";
} else if(state == "zuDel") { //删除小组成员
	appTitle = "删除成员";
	appButton = "删除";
	appUrlList = "/imChatY/selectCollectiveUsers";
	appUrlDel = "/imChatY/deleteUserCollective";
} else if(state == "qunAdd") { //新增会话(群)成员
	appTitle = "添加成员";
	appButton = "添加";
	appUrlList = "/conversationMa/insertGroupDoctorList";
	appUrlAdd = "/imXu/insertDoctor";
}
/**
 * 初始化VUE
 */
//---------实例化vue
var app = new Vue({
	el: "#app",
	data: {
		title: appTitle, //当前页面标题
		doc_id:doc_id,	//登录的医生id
		rightbutton: appButton, //右上角的按钮显示
		list: '', //集合
		checkList: [],
		picUrl: 'http://ipa.早健康.net',
		urlId: appUrlId, //传入的id值
		urlList: appUrlList, //获取用户集合的接口地址
		urlAdd: appUrlAdd, //新增用户的接口地址
		urlDel: appUrlDel, //删除用户的接口地址
		searchName: ''
	},
	created: function() {
		// this.$options.methods.clickgo();
		if(!GetRequest().search) {
			selectList('');
		}
	},
	methods: {
		ThisHttpPic: function(obj) { //--处理头像地址
			return httpPic(this.picUrl, obj);
		},
		goSearchView: function() { //--跳转到搜索页
			goUrl("wechat_adduser_search.html?state=" + state + "&id=" + appUrlId + "&search=1", "wechat_adduser_search.html", "love");
		},
		whereCheck: function(doc_id) { //--class展示的选择状态
			return JSON.stringify(this.checkList).indexOf('"doc_id":' + doc_id);
		},
		tapSearchCheck: function(k, doc_id, doc_name,title,doc_url, hospital_name) { //--已选择的点击后移除列表
			this.checkList.splice(k, 1);
			var checkIndex = getIndex(this.list, {
				doc_id: doc_id
			}, 'doc_id');
			Vue.set(this.list, checkIndex, {
				doc_id: doc_id,
				doc_name: doc_name,
				doc_url: doc_url,
				title: title,
				hospital_name: hospital_name,
				doc_check: 0
			})
		},
		tapThisCheck: function(k, doc_id, doc_name,title,doc_url, hospital_name, doc_check) { //列表多选
			var doc_json = {
				doc_id: doc_id,
				doc_name: doc_name,
				doc_url: doc_url,
				title: title,
				hospital_name: hospital_name
			};
			if(doc_check) {
				Vue.set(this.list, k, {
					doc_id: doc_id,
					doc_name: doc_name,
					doc_url: doc_url,
					title: title,
					hospital_name: hospital_name,
					doc_check: 0
				})
				var checkIndex = getIndex(this.checkList, {
					doc_id: doc_id
				}, 'doc_id');
				this.checkList.splice(checkIndex, 1);
			} else {
				if(this.checkList.length>= 9){
					mui.toast("最多只能选择9个人");
					return;
				}
				Vue.set(this.list, k, {
					doc_id: doc_id,
					doc_name: doc_name,
					doc_url: doc_url,
					title: title,
					hospital_name: hospital_name,
					doc_check: 1
				})
				this.checkList.push(doc_json);
			}
		},
		tapThis: function() { //--单选时处理
			var conName = ''; //弹窗显示的文字
			var conUrl = ''; //调用的接口地址
			var dataChangeJson = {}; //准备发送的json
			//--处理批量发送的医生id
			if(this.checkList.length == 0){
				mui.toast("您还未选择医生");
				return;
			}
			var docIdArr=[];
			for(var i=0;i<this.checkList.length;i++){
				docIdArr.push(this.checkList[i].doc_id);
			}
			docIdArr=docIdArr.toString();
			console.log(docIdArr);
			
//			return;
			if(state == "newZu") { //新建小组成员
				conName = "确认邀请这些成员?";
				conUrl = this.urlAdd;
				dataChangeJson = {
					ids: docIdArr, //医生id
				};
				mui.confirm(conName, '', ['取消', '确定'], function(e) {
					if(e.index == 1) {
						addGroup(conUrl, dataChangeJson, appUrlName);
					}
				})
				return;
			} else if(state == "zuAdd") { //新增小组成员
				conName = "确认添加这些成员?";
				conUrl = this.urlAdd;
				dataChangeJson = {
					ids: docIdArr, //医生id
					im_collective_id: this.urlId, //小组id
				};
			} else if(state == "zuDel") { //删除小组成员
				conName = "确认删除这些成员?";
				conUrl = this.urlDel;
				dataChangeJson = {
					ids: docIdArr, //医生id
					im_collective_id: this.urlId, //小组id
				};
			} else if(state == "qunAdd") { //新增会话(群)成员
				conName = "确认添加这些成员?";
				conUrl = this.urlAdd;
				dataChangeJson = {
					ids: docIdArr, //医生id
					im_group_id: this.urlId, //会话群id
				};
			}

			mui.confirm(conName, '', ['取消', '确定'], function(e) {
				if(e.index == 1) {
					console.log(conUrl);
					console.log(dataChangeJson);

					sendUser(conUrl, dataChangeJson);
				}
			})
		}
	},
	watch:{
		searchName:function(val){
			selectList(val);
		}
	}
})
/**
 * 部分需要处理的函数
 */
//----------展示列表时调用前的处理
function selectList(user_name) {
	var dataJson = {};
	if(state == "newZu") { //新建小组成员
		dataJson = {
			user_id: doc_id, //医生id
			user_name: user_name //模糊搜索医生名
		};
	} else if(state == "zuAdd") { //新增小组成员
		dataJson = {
			user_id: doc_id, //医生id
			im_collective_id: appUrlId,
			user_name: user_name //模糊搜索医生名
		};
	} else if(state == "zuDel") { //删除小组成员
		dataJson = {
			user_id: doc_id, //医生id
			im_collective_id: appUrlId, //会话群id
			doc_name: user_name //模糊搜索医生名
		};
	} else if(state == "qunAdd") { //新增会话(群)成员
		dataJson = {
			user_id: doc_id, //医生id
			im_group_id: appUrlId, //会话群id
			user_name: user_name //模糊搜索医生名
		};
	}
	showList(appUrlList, dataJson); //调用展示列表接口
}

/**
 * 处理安卓苹果设备软键盘问题
 */
var nativeWebview, imm, InputMethodManager;
var initNativeObjects = function() {
	if(mui.os.android) {
		var main = plus.android.runtimeMainActivity();
		var Context = plus.android.importClass("android.content.Context");
		InputMethodManager = plus.android.importClass("android.view.inputmethod.InputMethodManager");
		imm = main.getSystemService(Context.INPUT_METHOD_SERVICE);
	} else {
		nativeWebview = plus.webview.currentWebview().nativeInstanceObject();
	}
};
var showSoftInput = function() {
	if(mui.os.android) {
		imm.toggleSoftInput(0, InputMethodManager.SHOW_FORCED);
	} else {
		nativeWebview.plusCallMethod({
			"setKeyboardDisplayRequiresUserAction": false
		});
	}
	setTimeout(function() {
		var inputElem = document.querySelector('input');
		inputElem.focus();
		inputElem.parentNode.classList.add('mui-active'); //第一个是search，加上激活样式
	}, 200);
};
mui.plusReady(function() {
	if(GetRequest().search) {
		initNativeObjects();
		showSoftInput();
	}
});
//判断某个json中的字段是否存在另一个数组中包含这个json的字段,并返回数组下标
function getIndex(_arr, _obj, _str) {
	var len = _arr.length;
	for(var i = 0; i < len; i++) {
		if(_arr[i][_str] == _obj[_str]) {
			return parseInt(i);
		}
	}
	return -1;
}
mui('.mui-input-clear')[0].addEventListener('focus', function() {　　　　　
	mui(".mui-icon-clear")[0].addEventListener('tap', function() {
		app.searchName='';　　　　　　　
	});
})
//----------------监听自定义函数
window.addEventListener("update", function(e) {
	mui.fire(plus.webview.currentWebview().opener(), 'update', {});
});
/**
 * 封装ajax
 */
//-----------创建小组
function addGroup(dataUrl, sendData, groupName) {
	$.ajax(
		url + '/conversationMa/createTeam', {
			data: {
				user_id: doc_id,
				im_collective_name: groupName,
				is_default:is_default
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'POST', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded',
				'token': token
			},
			success: function(data) {
				if(data.success == 0) {
					sendData.im_collective_id = data.data;
					sendUser(dataUrl, sendData);
				} else {
					mui.toast("当前状态无法创建小组")
				}
			},
			error: function(xhr, type, errorThrown) {
				mui.toast("接口异常");
			},
		}
	);
}
//-----------将用户添加到群或者小组里
function sendUser(dataUrl, sendData) {
	$.ajax(
		url + dataUrl, {
			data: sendData,
			dataType: 'json', //服务器返回json格式数据
			type: 'POST', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded',
				'token': token
			},
			success: function(data) {
				if(data.success == 0) {
					mui.toast("操作成功");
					if(state == "newZu") {
						plus.webview.getWebviewById('wechat_creat_group.html').hide();
						plus.webview.getWebviewById('wechat_creat_group.html').close();
					}
					if(!GetRequest().search) {
						mui.fire(plus.webview.currentWebview().opener(), 'update', {});
						mui.back();
					} else {
						mui.fire(plus.webview.currentWebview().opener(), 'update', {});
						setTimeout(function() {
							plus.webview.currentWebview().opener().close();
							mui.back();
						}, 300);
					}

				} else {
					mui.toast("当前无法对成员进行操作,请稍后重试");
				}

			},
			error: function(xhr, type, errorThrown) {
				mui.toast("接口异常");
			},
		}
	);
}
//-----------展示可添加到小组内的医生列表
function showList(dataUrl, sendData) {
	$.ajax(
		url + dataUrl, {
			data: sendData,
			dataType: 'json', //服务器返回json格式数据
			type: 'POST', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded',
				'token': token
			},
			success: function(data) {
				app.list = data.data;
			},
			error: function(xhr, type, errorThrown) {
				mui.toast("接口异常");
			},
		}
	);
}