/**
 * Created by HBuilder.
 * User: tyx
 * Date: 2018-11-26 
 * Time: 13:49:07
 */

/**
 * 初始化移动APP
 */
//----------plusReady
function plusReady() {

}
if(window.plus) {
	plusReady();
} else {
	document.addEventListener('plusready', plusReady, false);
}
//---------配置量
var url = surl; //接口地址(来源:server.js)
//var url='http://192.168.10.174:8089';
var token = token; //单点验证的token值(来源alltoken.js)
var doc_id = localStorage.getItem("doc_id"); //医生id
//--------标题处理

/**
 * 初始化VUE
 */
//---------实例化vue
var app = new Vue({
	el: "#app",
	data: {
		title: '医生名片'
		
	},
	created: function() {
		// this.$options.methods.clickgo();

	},
	methods: {
		clickgo: function() {
			//			alert("单击事件");
			console.log(this.message);
		}
	},
})
/**
 * 部分函数封装
 */
//-------------秒转化成事件格式('''  '' ')
function formatSeconds2(a) {

	var hh = parseInt(a / 3600);
	if(hh < 10) hh = hh;
	var mm = parseInt((a - hh * 3600) / 60);
	if(mm < 10) mm = mm;
	var ss = parseInt((a - hh * 3600) % 60);
	if(ss < 10) ss = ss;
	var length = '';
	if(hh == 0) {
		if(mm == 0) {
			length = ss + "'";
		} else {
			length = mm + "''" + ss + "'";
		}
	} else {
		length = hh + "'''" + mm + "''" + ss + "'";
	}

	if(a > 0) {
		return length;
	} else {
		return "--";
	}
}

//-----------------保存时的加载动画
function loadingUp() {
	$('body').loading({
		loadingWidth: 140,
		title: '上传中...',
		name: 'test',
		discription: '',
		direction: 'column',
		type: 'origin',
		// originBg:'#71EA71',
		originDivWidth: 20,
		originDivHeight: 20,
		originWidth: 4,
		originHeight: 4,
		smallLoading: false,
		loadingMaskBg: 'rgba(0,0,0,0.2)'
	});
	$(".cpt-loading-mask.column .div-loading .loading-title").css("font-size", "16px");
}
/**
 * 封装ajax
 */
//-----------发送消息(留言)
function sendArticleMessage(msg) {
	$.ajax(
		url + '/videoArticle/sendLeaveMessage', {
			data: {
				videoArticleId: videoArticleId,
				userId: doc_id,
				msg: msg
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'POST', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded',
				'token': token
			},
			success: function(data) {
				if(data.success == 403) {
					mui.toast("当前用户状态异常,请返回重新登录");
					return;
				}
				if(data.success == 0) {
					mui.toast("留言发送成功,审核通过后即可展示");
					mui.back();
				} else {
					mui.toast("网络繁忙,请稍后重试");
				}
			},
			error: function(xhr, type, errorThrown) {
				mui.toast("接口异常");
			},
		});
}
//-----------上传图片
function uploadPic(k, formData) {
	$.ajax(
		'http://ipa.早健康.' + 'net/yzh/upload/upload', {
			data: formData,
			dataType: 'json', //服务器返回json格式数据
			type: 'POST', //HTTP请求类型
			processData: false,
			contentType: false,
			success: function(data) {
				closeload(); //关闭动画
				var listImg = [];
				for(var i = 0; i < data.data.length; i++) {
					console.log(data.data[i]);
					listImg.push('http://ipa.早健康.net' + data.data[i]);
				}
				app.list[k].piclist = app.list[k].piclist.concat(listImg);
			},
			error: function(xhr, type, errorThrown) {
				mui.toast("接口异常");
			},
		});
}