/**
 * Created by HBuilder.
 * User: tyx
 * Date: 2018-11-26 
 * Time: 13:49:07
 */

/**
 * 初始化移动APP
 */
//----------plusReady
function plusReady(){

}
if(window.plus){
	plusReady();
}else{
	document.addEventListener('plusready', plusReady, false);
}
//---------配置量
var url=surl; 									//接口地址(来源:server.js)
//var url='http://192.168.10.174:8089';
var token=token;									//单点验证的token值(来源alltoken.js)
var doc_id=localStorage.getItem("doc_id");			//医生id
var videoArticleId=GetRequest().article_id;			//文章id
var article_message_state=GetRequest().article_message_state;//留言或评论(1留言 2评论)
var VideoArticleMessageId=GetRequest().floorId;		//文章评论id
var floorName=getUrlParam('floorName');				//楼层名称
var state=GetRequest().state;						//准备发送信息的文章类型(video 视频 null 文章)
var places='留言将有后台审核筛选后显示,对所有人可见(建议不超过90字)';
//--------标题处理
if(state || article_message_state == 1 ){
	$(".mui-title").text("发表留言");
}else if(VideoArticleMessageId){
	$(".mui-title").text("回复"+floorName);
	places="请输入评论内容(建议不超过90字)";
}else{
	$(".mui-title").text("发表评论");
	places="请输入评论内容(建议不超过90字)";
}
/**
 * 初始化VUE
 */
//---------实例化vue
var app=new Vue({
	el:"#app",
	data:{
		message:'',        //名医公开课列表
		place:places
	},
	created:function() {
        // this.$options.methods.clickgo();
        
    },
    methods:{
		clickgo: function (){
//			alert("单击事件");
			console.log(this.message);
		},
		timesecond:function(res){							//--时间转化计算
			return formatSeconds2(res);
		},
		sendMessage:function (){							//--发送
			console.log(this.message);
			if(this.message.length == 0){
				mui.toast("您还没有输入任何内容");
				return;				
			}
			if(this.message.length>91){
				mui.toast("字数过多,建议不超过90个字");
				return;
			}
			if(state || article_message_state == 1){
				sendArticleMessage(this.message);
			}else if(article_message_state == 2){
				sendArticleComment(this.message);
			}else if(VideoArticleMessageId){
				sendArticleCommentOnce(this.message);
			}
			
		}
	},
})
/**
 * 部分函数封装
 */
//-------------秒转化成事件格式('''  '' ')
function formatSeconds2(a) {
	
  var hh = parseInt(a/3600);  
  if(hh<10) hh = hh;  
  var mm = parseInt((a-hh*3600)/60);  
  if(mm<10) mm =mm;  
  var ss = parseInt((a-hh*3600)%60);  
  if(ss<10) ss =ss;
  var length='';
  if(hh == 0){
  	if(mm == 0){
  		length=ss+"'";
  	}else{
  		length=mm + "''" + ss+"'";
  	}
  }else{
  	length = hh + "'''" + mm + "''" + ss+"'";  
  }
 
  if(a>0){  
    return length;  
  }else{  
    return "--";  
  }  
}

/**
 * 封装ajax
 */
//-----------发送消息(留言)
function sendArticleMessage(msg){
	$.ajax(
		url+'/videoArticle/sendLeaveMessage',{
		data:{
			 videoArticleId: videoArticleId,
			 userId:doc_id,
			 msg:msg
		},
		dataType:'json',//服务器返回json格式数据
		type:'POST',//HTTP请求类型
		timeout:10000,//超时时间设置为10秒；
		headers:{
			'Content-Type':'application/x-www-form-urlencoded',
			'token':token
		},
		success:function(data){if(data.success == 403){mui.toast("当前用户状态异常,请返回重新登录");return;}
			if(data.success == 0){
				mui.toast("留言发送成功,审核通过后即可展示");

				mui.back();
			}else{
				mui.toast("网络繁忙,请稍后重试");
			}
		},
		error:function(xhr,type,errorThrown){
			mui.toast("接口异常");
		},
	});
}
//-----------发送消息(评论)
function sendArticleComment(msg){
	$.ajax(
		url+'/videoArticle/sendVideoArticleComment',{
		data:{
			 videoArticleId: videoArticleId,
			 userId:doc_id,
			 msg:msg
		},
		dataType:'json',//服务器返回json格式数据
		type:'POST',//HTTP请求类型
		timeout:10000,//超时时间设置为10秒；
		headers:{
			'Content-Type':'application/x-www-form-urlencoded',
			'token':token
		},
		success:function(data){if(data.success == 403){mui.toast("当前用户状态异常,请返回重新登录");return;}
			if(data.success == 0){
				mui.toast("评论发送成功");
				if(mui.os.plus){
					mui.fire(plus.webview.currentWebview().opener(),'messagelist',{});
				}
				mui.back();
			}else{
				mui.toast("网络繁忙,请稍后重试");
			}
		},
		error:function(xhr,type,errorThrown){
			mui.toast("接口异常");
		},
	});
}
//-----------回复单个人消息(评论)
function sendArticleCommentOnce(msg){
	$.ajax(
		url+'/videoArticle/sendVideoArticleCommentEr',{
		data:{
			 videoArticleId: videoArticleId,
			 videoArticleCommentId:VideoArticleMessageId,
			 userId:doc_id,
			 msg:msg
		},
		dataType:'json',//服务器返回json格式数据
		type:'POST',//HTTP请求类型
		timeout:10000,//超时时间设置为10秒；
		headers:{
			'Content-Type':'application/x-www-form-urlencoded',
			'token':token
		},
		success:function(data){if(data.success == 403){mui.toast("当前用户状态异常,请返回重新登录");return;}
			mui.toast("评论发送成功");
			if(mui.os.plus){
				mui.fire(plus.webview.currentWebview().opener(),'messagelist',{});
			}			
			mui.back();
		},
		error:function(xhr,type,errorThrown){
			mui.toast("接口异常");
		},
	});
}