/**
 * 支付宝转账修改
 * 183****9029 （一次10元）
 */
//---------配置量
var urls = surl; //接口地址(来源:server.js)
var tokens = token; //单点验证的token值(来源alltoken.js)
//var tokens = "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE1NTAxNDU3NjIyOTcsInBheWxvYWQiOiJcIjE4MDAyNDcwODQ5XCIifQ.Sg5Ri0fETOq2_s7X--Q-nIQPQIe7kTRY2QCAdLCVhL0";
var doc_id = localStorage.getItem("doc_id"); //医生id
mui.init();
var vm = new Vue({
    el: '.abc',
    data: {
        list:[]
    },
    mounted: function () {
    	this.myCard();
    },
    methods: {
    	myCard: function(){
    		var that = this;
	    	$.ajax({
	    		type:"post",
	    		url:urls+"/doctorCard/selectCard",
	    		headers:{
					token:tokens
	    		},
	    		data: {
	    			doc_id: doc_id
	    		},
	    		success: function(res){
	//		        			res.data.academic_experience = JSON.parse(res.data.academic_experience);
	    			that.list = res.data;
	    			//console.log(res.data)
	    		},
	    		error: function(){
	    			
	    		}
	    	});
    	},
        httpThisPic:function(picurl,obj){
			return httpPic(picurl,obj);
		},
		substr: function (obj){
			return obj.substr(0,7)+'...';
		},
		profession: function(){
			var that = this;
			options = {
				"type":"month",
				"beginYear":1919,
				"endYear":new Date().getFullYear()
			};
			var picker = new mui.DtPicker(options);
		
			picker.show(function(rs) {
				that.list.practice_year = rs.text;
				that.proyear()
			});
			
		},
		/**
		 * 修改年份
		 */
		proyear: function(){
			var jsonStr={};
			jsonStr={
				doc_id:doc_id,								//用户id
				doc_url:this.list.doc_url,					//用户头像
				domain:this.list.domain,					//擅长领域
				hospital_number:this.list.hospital_number,	//第一医院,第二医院
				doc_information:this.list.doc_information,	//个人简介
				practice_year:this.list.practice_year		//执行年限
			};
			$.ajax({
				url: urls + '/doctorCard/updateCard', 
				data:jsonStr,
				dataType: 'json', //服务器返回json格式数据
				type: 'POST', //HTTP请求类型
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded',
					'token': tokens
				},
				success: function(data) {
					if(data.success == 0){
						mui.toast("信息修改成功");
					}
					mui.fire(plus.webview.currentWebview().opener(),'updateCard2',{});
	          		window.location.reload();
				},
				error: function(xhr, type, errorThrown) {
//								mui.toast("接口异常");
				},
			});
		},
		/**
		 * 打开摄像头
		 */
		uploadImg: function(){
			var that = this;
			var btnArray = [{
				title: "拍照"
			}, {
				title: "从相册选择"
			}];
			plus.nativeUI.actionSheet({
				cancel: "取消",
				buttons: btnArray
			}, function(e) {
				var index = e.index;
				switch (index) {
					case 0:
						break;
					case 1:
						var cmr = plus.camera.getCamera();
						cmr.captureImage(function(path) {
							var content = "file://" + plus.io.convertLocalFileSystemURL(path);
							that.cutImage(content);
						}, function(err) {});
						break;
					case 2:
						plus.gallery.pick(function(path) {
							that.cutImage(path);
						}, function(err) {}, null);
						break;
				}
			});
				
		},
		/**
		 * 上传头像
		 * @param {Object} path
		 */
		uploadHead: function(path){
			var that = this;
			$.ajax({
				url:'http://ipa.早健康.net/yzh/upload/aaaa',
				data:{
					file:path
				},
				dataType:'json',//服务器返回json格式数据
				type:'POST',
				timeout:10000,//超时时间设置为10秒；
				success:function(obj){
					if(obj.success == 0){
	          			mui.toast('上传成功');
	          			that.list.doc_url = obj.data[0];
	          			that.proyear();
		           }
				},
				error:function(xhr,type,errorThrown){
					closeload(); //关闭动画
	                mui.toast( "Upload failed: " + status );  
	                window.location.reload();
				},
			});
		},
		 //-----------裁剪图片
		cutImage: function(path) {
		    mui.openWindow({
		        url: '../mine/cropper.html',
		        id: 'cropper',
		        extras: {
		            path: path,
		        },
		        show: {
		            aniShow: 'zoom-fade-in',
		            duration: 800
		        },
		        waiting: {
		            autoShow: true
		        }
		    });
		},
		/**
		 * 压缩
		 * @param {Object} src
		 */
		resizeImage: function(src) {
			var that = this;
			that.loadingUp();//开启load
		 	plus.zip.compressImage(
			    {
			      src: src,
			      dst: '_doc/a.jpg',
			      overwrite: true,
			      width: '270px', //这里指定了宽度，同样可以修改
			      format: 'jpg',
			      quality: 100  //图片质量不再修改，以免失真
			    },
			    function(e) {
			    	that.uploadHead(e.target);  //上传图片, e.target存的是本地路径！
			    },
			    function(err) {
			      mui.toast( "resizeImage is error");
			    }
			);
		},
		//-----------------保存时的加载动画
		loadingUp: function() {
			$('body').loading({
				loadingWidth: 140,
				title: '上传中...',
				name: 'test',
				discription: '',
				direction: 'column',
				type: 'origin',
				// originBg:'#71EA71',
				originDivWidth: 20,
				originDivHeight: 20,
				originWidth: 4,
				originHeight: 4,
				smallLoading: false,
				loadingMaskBg: 'rgba(0,0,0,0.2)'
			});
			$(".cpt-loading-mask.column .div-loading .loading-title").css("font-size", "16px");
		}
		
    }
})
//----------------刷新
window.addEventListener("updateCard", function(e) {
	vm.myCard();
	mui.fire(plus.webview.currentWebview().opener(),'updateCard2',{});
});
//更新用户头像，主要是裁剪页面裁剪完后触发的
//添加updateHeadImg自定义事件监听
window.addEventListener('updateHeadImg',function(event){
  	//获得事件参数
  	var my_icon = event.detail.img_path;
	my_icon=my_icon.substring(23,my_icon.length);
	var a="+";
	
	my_icon=my_icon.replace(/\+/g, ",");
	vm.uploadHead(my_icon);
});