/**
 * Created by HBuilder.
 * User: tyx
 * Date: 2019-1-28 
 * Time: 14:51:04
 */

/**
 * 初始化移动APP
 */
//----------plusReady
function plusReady() {

}
if(window.plus) {
	plusReady();
}else{
	document.addEventListener('plusready', plusReady, false);
}
//---------配置量
var url = surl; //接口地址(来源:server.js)
//var url='http://192.168.10.174:8089';
var token = token; //单点验证的token值(来源alltoken.js)
var doc_id = localStorage.getItem("doc_id"); //医生id
//--------标题处理

/**
 * 初始化VUE
 */
//---------实例化vue
var app = new Vue({
	el: "#app",
	data: {
		title: '医生团队',
		docList:[],
		zuList:[],
		picUrl:'http://ipa.早健康.net'
	},
	created: function() {
		// this.$options.methods.clickgo();
		showDocList();				//调用医生列表函数
		showZuList();				//调用小组列表函数
	},
	methods: {
		ThisHttpPic:function(obj){			//--处理头像地址
			return	httpPic(this.picUrl,obj);
		},
		goDoc:function(id){					//--跳转到医生详情
			goUrl("../docCard/docCard.html?docId="+id,"docCard.html","1");
		},
		goZu:function(id,name){					//--跳转到小组详情
			goUrl("wechat_Groupdetailsl.html?id="+id+"&name="+name,"wechat_Groupdetailsl.html","1");
		}
	},
})

setInterval('showDocList();showZuList()',15000);  //	定时刷新系统消息
/**
 * 封装ajax
 */
//-----------展示医生列表
function showDocList() {
	$.ajax(
		url + '/imChatY/selectMyFriends', {
			data: {
				z_doc_id:doc_id,
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'POST', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded',
				'token': token
			},
			success: function(data) {
				if(data.success == 403){allToken()} //验证token
				app.docList=data.data;
			},
			error: function(xhr, type, errorThrown) {
//				mui.toast("接口异常");
			},
		}
	);
}
//-----------展示小组列表
function showZuList() {
	$.ajax(
		url + '/imChatY/selectCollective', {
			data: {
				user_id	:doc_id,
				pageNum : 1,
				pageSize : 99
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'POST', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded',
				'token': token
			},
			success: function(data) {
				if(data.success == 403){allToken()} //验证token
				app.zuList=data.data;
			},
			error: function(xhr, type, errorThrown) {
//				mui.toast("接口异常");
			},
		}
	);
}