/**
 * Created by HBuilder.
 * User: tyx
 * Date: 2019-1-25 11:07:13
 * Time: 11:07:13
 */
var nativeWebview, imm, InputMethodManager;
/**
 * 初始化移动APP
 */
//----------plusReady
function plusReady() {
	plus.webview.currentWebview().setStyle({
//		softinputMode: "adjustResize"
	});
	
}
if(window.plus) {
	plusReady();
}else{
	document.addEventListener('plusready', plusReady, false);
}
//---------配置量
var url = surl; //接口地址(来源:server.js)
//var url='http://192.168.10.174:8089';
var token = token; //单点验证的token值(来源alltoken.js)
var doc_id = localStorage.getItem("doc_id"); //医生id
//--------标题处理

/**
 * 初始化VUE
 */
//---------实例化vue
var app = new Vue({
	el: "#app",
	data: {
		title: '首页搜索',			//标题
		searchName:'',				//搜索内容
		messageList:'',				//会话列表
		userList:'',				//患者列表	
		docList:'',					//医生列表
		zuList:'',					//组列表
		picUrl:'http://ipa.早健康.net'
	},
	created: function() {
		// this.$options.methods.clickgo();
//		selectList('');
	},
	methods: {
		goSearch:function(){
			if(this.searchName == ''){
				this.list=[];
				mui.toast("请输入想要搜素的内容");
				return;
			}
			selectList(this.searchName);
		},
		ThisHttpPic:function(obj){			//处理头像地址
			return	httpPic(this.picUrl,obj);
		},
		strTime:function(timestamps){
			return  timestamp('m-d', timestamps);
		},
		nameListStr:function(arr){
			console.log(arr);
			var jsonarr=[];
			for(var i=0;i<arr.length;i++){
				jsonarr.push(arr[i].im_group_user_name);
			}
			return jsonarr.join('、');
		},
		goChat:function (doc_ids,im_group_id,patientuser_id,patientuser_name,user_id,im_group_type){
			goUrl('../consult/consultNav.html?doc_ids='+doc_ids+'&im_group_id='+im_group_id+'&patientuser_id='+patientuser_id+'&patientuser_name='+patientuser_name+'&user_id='+user_id+'&im_group_type='+im_group_type,'consultNav.html','love');
		},
		goDoc:function(id){					//--跳转到医生详情
			goUrl("../docCard/docCard.html?docId="+id,"docCard.html","1");
		},
		goUser:function(patientuser_id,im_group_id,patientuser_name){					//--跳转到患者病志
			goUrl('../consult/consultNav.html?doc_ids='+doc_id+'&im_group_id='+im_group_id+'&patientuser_id='+patientuser_id+'&patientuser_name='+patientuser_name+'&im_group_type=1','consultNav.html','love');
		
//			goUrl("../consult/mycase.html?patientuser_id="+id, "mycase","1");
		},		
		goZu:function(id,name){					//--跳转到小组详情
			goUrl("wechat_Groupdetailsl.html?id="+id+"&name="+name,"wechat_Groupdetailsl.html","1");
		}		
	},
})


/**
 * 处理安卓苹果设备软键盘问题
 */
var nativeWebview, imm, InputMethodManager;
var initNativeObjects = function() {
	if (mui.os.android) {
		var main = plus.android.runtimeMainActivity();
		var Context = plus.android.importClass("android.content.Context");
		InputMethodManager = plus.android.importClass("android.view.inputmethod.InputMethodManager");
		imm = main.getSystemService(Context.INPUT_METHOD_SERVICE);
	} else {
		nativeWebview = plus.webview.currentWebview().nativeInstanceObject();
	}
};
var showSoftInput = function() {
	if (mui.os.android) {
		imm.toggleSoftInput(0, InputMethodManager.SHOW_FORCED);
	} else {
		nativeWebview.plusCallMethod({
			"setKeyboardDisplayRequiresUserAction": false
		});
	}
	setTimeout(function() {
		var inputElem = document.querySelector('input');
		inputElem.focus();
		inputElem.parentNode.classList.add('mui-active'); //第一个是search，加上激活样式
	}, 200);
};
mui.plusReady(function() {
	initNativeObjects();
	showSoftInput();
});

/**
 * 封装ajax
 */
//-----------搜索消息
function selectList(textName) {
	$.ajax(
		url + '/imZhao/selectSS', {
			data: {
				doc_id:doc_id,
				name:textName
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'POST', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded',
				'token': token
			},
			success: function(data) {
				
				app.messageList=data.data;   //消息列表
				app.userList=data.dataa; 	//患者列表	
				app.zuList=data.datac;		//小组列表
				app.docList=data.dataDocFri;//医生列表
				if(data.data.length == 0 && data.dataa.length == 0 && data.datac.length == 0 && data.dataDocFri.length == 0){
					mui.toast("未搜索到相关内容,请重新搜索");
				}
				
			},
			error: function(xhr, type, errorThrown) {
				mui.toast("接口异常");
			},
		}
	);
}